# This file created by conda-build 3.10.7
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/numba-0.38.1-python_3.6-on-linux_64, last modified Fri Jun 22 08:53:16 2018
# ------------------------------------------------

package:
    name: numba
    version: 0.38.1
source:
    git_rev: 0.38.1
    git_url: https://github.com/numba/numba
    patches:
        - 0001-Python-3.7-compat-_Py_Finalizing-becomes-_Py_IsFinal.patch
        - 0002-Python-3.7-compat-exc_stuff-move-to-struct.patch
build:
    entry_points:
        - numba = numba.numba_entry:main
        - pycc = numba.pycc:main
    number: '0'
    script_env:
        - PY_VCRUNTIME_REDIST
    string: py36h04863e7_0
requirements:
    build:
        - binutils_impl_linux-64 2.28.1 had2808c_3
        - binutils_linux-64 7.2.0 had2808c_27
        - gcc_impl_linux-64 7.2.0 habb00fd_3
        - gcc_linux-64 7.2.0 h550dcbe_27
        - gxx_impl_linux-64 7.2.0 hdf63c60_3
        - gxx_linux-64 7.2.0 h550dcbe_27
        - libstdcxx-ng 7.2.0 hdf63c60_3
    host:
        - ca-certificates 2018.03.07 0
        - certifi 2018.4.16 py36_0
        - intel-openmp 2018.0.3 0
        - libedit 3.1.20170329 h6b74fdf_2
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 7.2.0 hdf63c60_3
        - libgfortran-ng 7.2.0 hdf63c60_3
        - libstdcxx-ng 7.2.0 hdf63c60_3
        - llvmlite 0.23.2 py36hdbcaa40_0
        - mkl 2018.0.3 1
        - ncurses 6.1 hf484d3e_0
        - numpy 1.11.3 py36h3dfced4_4
        - openssl 1.0.2o h20670df_0
        - python 3.6.5 hc3d631a_2
        - readline 7.0 ha6073c6_4
        - setuptools 39.2.0 py36_0
        - sqlite 3.24.0 h84994c4_0
        - tk 8.6.7 hc745277_3
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 ha838bed_2
    run:
        - libgcc-ng >=7.2.0
        - libstdcxx-ng >=7.2.0
        - llvmlite 0.23.*
        - numpy >=1.11.3,<2.0a0
        - python >=3.6,<3.7.0a0
test:
    files:
        - mandel.py
    imports:
        - numba
        - numba.annotations
        - numba.cuda
        - numba.cuda.cudadrv
        - numba.cuda.kernels
        - numba.cuda.simulator
        - numba.cuda.simulator.cudadrv
        - numba.cuda.tests
        - numba.cuda.tests.cudadrv
        - numba.cuda.tests.cudadrv.data
        - numba.cuda.tests.cudapy
        - numba.cuda.tests.cudasim
        - numba.cuda.tests.nocuda
        - numba.datamodel
        - numba.jitclass
        - numba.npyufunc
        - numba.pycc
        - numba.rewrites
        - numba.runtime
        - numba.scripts
        - numba.servicelib
        - numba.targets
        - numba.testing
        - numba.tests
        - numba.tests.npyufunc
        - numba.typeconv
        - numba.types
        - numba.typing
        - numba.unsafe
    requires:
        - cffi
        - gcc_linux-64
        - gxx_linux-64
        - ipython
        - jinja2
        - scipy
        - setuptools
about:
    description: 'Numba is an Open Source NumPy-aware optimizing compiler for Python

        sponsored by Anaconda, Inc. It uses the remarkable LLVM compiler

        infrastructure to compile Python syntax to machine code."

        '
    dev_url: https://github.com/numba/numba
    doc_url: http://numba.pydata.org/
    home: http://numba.github.com
    license: BSD 2-clause
    license_family: BSD
    license_file: LICENSE
    summary: NumPy aware dynamic Python compiler using LLVM
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - souravsingh
